# runtest.sh - bz471298-pthread_cond - Bugzilla(s) 471298
# Author: Petr Muller <pmuller@redhat.com>
# Location: /tools/glibc/Regression/bz471298-pthread_cond/runtest.sh

# Description: Contains one simple testcase, hanging when exhibiting the bug

# Copyright (c) 2008 Red Hat, Inc. All rights reserved. This copyrighted material 
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.


PACKAGE=glibc

# Include rhts environment
rpm -Uvh http://nest.test.redhat.com/mnt/qa/scratch/pmuller/rhtslib/rhtslib.rpm
. /usr/share/beakerlib/beakerlib.sh || exit 1
rlStartJournal

rlPhaseStartSetup Preparation
  rlAssertRpm ${PACKAGE}
  rlRun 'gcc -lpthread -lrt pthread_cond_test.c -o pthread_test' 0 "Comnpiling the testcase"
rlPhaseEnd

######################
# Begin Test-Case
######################
rlPhaseStartTest Test
  rlWatchdog './pthread_test' 10
  rlAssert0 "Checking if the command had to be killed (bug 471298)" $?
rlPhaseEnd

######################
# Clean after the test
######################
rlPhaseStartCleanup Clean-Up
  rlRun "rm -f pthread_test" 0 "Cleaning up the executable"
rlPhaseEnd
